#! /bin/bash

set -u
set -e

if [ -e /etc/dar-backup/dar-backup.conf ]; then
 . /etc/dar-backup/dar-backup.conf
 if [ -e /etc/dar-backup/dar-exclude.conf ]; then
  . /etc/dar-backup/dar-exclude.conf
 fi
elif [ -e /etc/backup-full.conf ]; then
 . /etc/backup-full.conf
else
 echo "No config file found for $0" >2
 exit 1
fi

wd=`pwd`
cd "/$BACKUPDIR"
latest=`ls -d ????-??-?? | tail -1`
alldirs=`ls -dr ????-??-??`
cd "$wd"

echo "Backup auswaehlen: (1 = latest, Ctrl-C/D = Ende)"
select d in $alldirs  ALL; do
        [ -z ${d:-""} ] && continue 
	echo
        echo "Ausgewaehlt: $d"
        echo "Zu extrahierender Pfad:"
        echo "Verzeichnis oder Datei, wird im aktuellen Verzeichnis (`pwd`) extrahiert"
        while read -e -p 'PATH: ' p; do
                p=${p#/}
                [ -z "$p" ] && break
                case $d in 
                ????-??-??) 
                        dar -x "/$BACKUPDIR/$d/$HOSTID-$d" -g "$p" -n
                        ;;
                ALL)
                        for d1 in $alldirs; do
                                mkdir $d1
                                cd $d1
                                echo "Backup: $d1"
                                dar -x "/$BACKUPDIR/$d1/$HOSTID-$d1" -g "$p" -n
                                cd ..
                        done
                        ;;
                *) :
                esac
		echo
        	echo "Ausgewaehlt: $d"
        	echo
        	echo "Zu extrahierender Pfad:"
        	echo "Verzeichnis oder Datei, wird im aktuellen Verzeichnis (`pwd`) extrahiert"
        done
        echo "Backup auswaehlen: (1 = latest, Ctrl-C/D = Ende)"
done


